Bug 692299 - bad link in operation results table
bad link in operation results table
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-03-30 20:52 EDT by John Mazzitelli
Modified: 2011-10-04 15:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
op1.png (39.43 KB, image/jpeg)
2011-03-30 20:52 EDT, John Mazzitelli
no flags Details
op2.png (6.77 KB, image/jpeg)
2011-03-30 20:52 EDT, John Mazzitelli
no flags Details

  None (edit)
Description John Mazzitelli 2011-03-30 20:52:24 EDT
Created attachment 488959 [details]
op1.png

I had a group operation - in the history, I drilled into it and saw the attached screen, op1.png.

This is URL #ResourceGroup/10481/Operations/History/10141

Note this is a RHQ Agent resource.

I clicked the link highlighted with the red arrow and it took me to this URL:

#Resource/10142/Summary/Activity

That is not my RHQ Agent resource as you see in the second attachment op2.png - its a EJB3 bean from another server resource of type JBossAS (totally different).

I think the IDs are getting screwed up in the URL that is built for the link.
Comment 1 John Mazzitelli 2011-03-30 20:52:42 EDT
Created attachment 488960 [details]
op2.png
Comment 2 John Mazzitelli 2011-03-31 16:05:43 EDT
the cell formatter was building the link based on the wrong id attribute. fixed in commit 0ac2a805a2ebdeb345a6058fb77695f3ec907ac1
Comment 3 Sunil Kondkar 2011-04-26 06:24:04 EDT
Verified on build#1175 (Version: 4.0.0-SNAPSHOT Build Number: a90faf9)

Created a compatible group of RHQ Agents. Executed an operation and verified that the links in 'Resource' column in group operation results table navigates to the correct RHQ Agent resource.
Also verified navigation for the links in 'Ancestry' column in group operation results table.

Marking as verified.
Comment 4 Corey Welton 2011-05-23 21:16:26 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:16:36 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:16:36 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:16:39 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.